Bug 1123699 - build pure-ftpd for EPEL7
Summary: build pure-ftpd for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pure-ftpd
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Greg Swift
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1138509
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 02:22 UTC by Eric I.
Modified: 2014-09-25 00:19 UTC (History)
4 users (show)

Fixed In Version: pure-ftpd-1.0.36-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-25 00:19:44 UTC


Attachments (Terms of Use)

Description Eric I. 2014-07-28 02:22:03 UTC
Is it possible to get pure-ftpd built for EPEL7?

Compiling a SRPM form Feodra 20 seems to work for pure-ftpd.

Comment 1 Robert Scheck 2014-09-01 15:22:54 UTC
Greg, any plans to do so? Anything that is preventing pure-ftpd in EPEL 7?

Comment 2 Greg Swift 2014-09-04 04:05:13 UTC
no reason not to aside from the fact that i can't get my ssh key working at the moment :/

Comment 3 Robert Scheck 2014-09-04 09:05:45 UTC
If you do the branch request, I am happy to assist for the other steps if
you let me know which pure-ftpd version to use as base for EPEL 7 (I guess
from my tests that no modifications are required). I read your comment as
in "I would maintain the package on EPEL 7 but having technical trouble".
If I got you wrong, please let me know.

Comment 4 Greg Swift 2014-09-05 03:39:18 UTC
i've put in the branch request, approved ksyz for el5 and 6 access as well.

I'd like to catch at least el6 up to 1.0.36, will do that nowish.

Comment 5 Robert Scheck 2014-09-08 15:24:17 UTC
Is rebuilding pure-ftpd-1.0.36-6.fc22 for EPEL 7 fine for you? That is the
version that has been automatically branched. If so then I would do this and
cause an update via bodhi.

Comment 6 Greg Swift 2014-09-08 15:53:18 UTC
@Robert: sounds good to me

Comment 7 Fedora Update System 2014-09-09 13:10:29 UTC
pure-ftpd-1.0.36-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/pure-ftpd-1.0.36-6.el7

Comment 8 Robert Scheck 2014-09-09 13:13:00 UTC
Greg, done. Let me know if you need further help or assistance (also at a
later time).

Comment 9 Fedora Update System 2014-09-09 17:31:36 UTC
pure-ftpd-1.0.36-6.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 10 Fedora Update System 2014-09-25 00:19:44 UTC
pure-ftpd-1.0.36-6.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.